<template>
    <div>
        <ul v-if="data.results && data.results.length" class="list-unstyled">
            <transition-group name="slide-fade">
                <li v-for="(item, key) in data.results" :key="key">
                    <single-list-item :item="item"></single-list-item>
                </li>
            </transition-group>
        </ul>
    </div>
</template>

<script>
    import EventBus from "../app";
    export default {
        data(){
            return {
                data:{}
            }
        },
        mounted() {
            EventBus.$on('search-data', (payload)=>{
                this.data = payload
            })
        }
    }
</script>

<style scoped>

</style>